Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 4763 - International date format for the message thread pane
: International date format for the message thread pane
Product: MailNews Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: All All
: P3 normal (vote)
: M6
Assigned To: scottputterman
: marina
Depends on:
Blocks: 7228
  Show dependency treegraph
Reported: 1999-04-08 10:35 PDT by nhottanscp
Modified: 2008-07-31 01:22 PDT (History)
4 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---


Description nhottanscp 1999-04-08 10:35:51 PDT
International date/time format for the message thread pane for M5.
Comment 1 nhottanscp 1999-04-08 10:41:59 PDT
Reassigning to putterman, please reassign if necessary.
Use nsIDateTimeFormat
(see a document at
We agreed to use always application locale (i.e. single date format through one
app). Application locale can be available through
Comment 2 scottputterman 1999-04-16 16:09:59 PDT

I think we had talked about this before about having a Date Literal that the
tree widget could display correctly.
Comment 3 scottputterman 1999-04-26 14:06:59 PDT
Moving to M6.
Comment 4 scottputterman 1999-05-16 17:30:59 PDT
I'm trying to use this, but it looks like your nsILocaleFactory, which I'm
trying to create so I can call GetApplicationLocale, is always returning me an
nsILocale rather than an nsILocaleFactory.  Therefore I crash when I try to call
Comment 5 scottputterman 1999-05-16 17:54:59 PDT
Also, when I do:

	rv = nsComponentManager::CreateInstance(kDateTimeFormatCID, NULL,
		nsIDateTimeFormat::GetIID(), getter_AddRefs(mDateTimeFormat));
I always get back a null pointer so I can't use this.
Comment 6 scottputterman 1999-05-16 17:56:59 PDT
You also might want to add
 to nsILocaleFactory.h
Comment 7 nhottanscp 1999-05-16 20:36:59 PDT
The date/time interface does not have GetIID, please use the following for now.
Comment 8 nhottanscp 1999-05-16 20:38:59 PDT
Adding to cc, he owns nsILocaleFactory.
Comment 9 nhottanscp 1999-05-16 21:35:59 PDT
Regarding the problem of nsILocaleFactory::GetApplicationLocale, it is also used
for the message sorting. I am not sure why it causes the problem for date/time
in particular.
It may be related that there was a windows dll loading problem (#5564) but I
think that has been fixed.
Comment 10 scottputterman 1999-05-16 23:14:59 PDT
It looks like I might have been using it wrong.  There's probably not a problem.
I was using CreateInstance instead of FindFactory.  I'll try that out tomorrow.
There may not be any problem with the nsIDateFormat either.  I'll update this
bug when I try these out.
Comment 11 scottputterman 1999-05-17 11:10:59 PDT
OK, I'm able to get all of these objects now.  I'll update this bug if I have
any problems using the date/time formater.

Also, I think it would be useful to implement GetIID() for these classes.  I was
trying to use an nsCOMPtr with some of these and I couldn't because of this.
Comment 12 scottputterman 1999-05-17 11:21:59 PDT
OK, everything seems to be working, at least for my application locale.  I'll
check this in when the tree opens.
Comment 13 nhottanscp 1999-05-17 11:26:59 PDT
I will implement GetIID() for M7. These classes are bit old (written in 1/99).
Comment 14 scottputterman 1999-05-17 11:46:59 PDT
This isn't working on my linux build.  It can't find the factory and it can't
create a DateTimeFormat.  Is there a registering problem with this dll on Linux?
I can't check this code in until it works there.
Comment 15 nhottanscp 1999-05-17 11:56:59 PDT
My test program (LocaleSelfTest.cpp) is also failing for creating
Tague, could you take a look at this?
Scott, does sorting have the same problem?
Comment 16 scottputterman 1999-05-17 12:08:59 PDT
Sorting seems to work as well as it ever did.  I can probably check this code
in, but it will mean that the date column will stop showing up on linux until
this is fixed which would be a pretty high priority.  I also don't know if this
works on the Mac.
Comment 17 scottputterman 1999-05-17 14:21:59 PDT
Getting rid of the #if 0 made it work on Linux.  Is there a reason why we
shouldn't check it in?  I can check it in but I'd like to know what I might be
breaking by doing that.
Comment 18 scottputterman 1999-05-17 14:29:59 PDT
I checked in my fixes.  Right now there will be no date string in Linux until we
fix the registration problems.  But you can test this on Windows.
Comment 19 tague 1999-05-19 21:19:59 PDT
this should be fixed on linux and should be working on Mac once I get checkin
Comment 20 Katsuhiko Momoi 1999-05-23 15:21:59 PDT
marina, please verify if this fix is working
Comment 21 marina 1999-05-24 13:53:59 PDT
I verified it on the French NT 4.0, it is working ,the data is in the

Note You need to log in before you can comment on or make changes to this bug.